import React, { useState, useEffect } from 'react';
import { json } from 'd3';

import { feature, mesh } from 'topojson'

const jsonUrl =
  'https://gist.githubusercontent.com/pravalliyaram/f88ae1c1312a2133615924525d42f496/raw/29405613201bf672a07838095b94dd08760a0424/swedanmap';

export const useData = () => {
  const [data, setData] = useState(null);
  
  console.log(data)
  
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      setData(
        {
          laen: feature(topojsonData, topojsonData.objects['laen.geo']),
        	interiors: mesh(topojsonData, topojsonData.objects['laen.geo'], (a, b) => a !== b)
        })  
    });
  }, []);
  
  return data;
};